
%define upstream_name    Apache-Session-Wrapper
%define upstream_version 0.33

Name:           perl-%{upstream_name}
Version:         %{upstream_version}
Release:        %mkrel 10

Summary:        A simple wrapper around Apache::Session
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/%{upstream_name}
Source0:        http://www.cpan.org/modules/by-module/Apache/%{upstream_name}-%{upstream_version}.tar.bz2

BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Apache::Session)
BuildRequires:  perl(Apache::Test)
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}

%description
This module is a simple wrapper around Apache::Session which
provides some methods to simplify getting and setting the session
id. It can uses cookies to store the session id, or it can look in
a provided object for a specific parameter. Alternately, you can
simply provide the session id yourself in the call to the
"session()" method. If you're using Mason, you should probably 
take a look at "MasonX::Request::WithApacheSession" first,  which
integrates this module directly into Mason.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor
./Build CFLAGS="%{optflags}"


 

%install
rm -rf %{buildroot}
./Build install destdir=%{buildroot}

%clean 
rm -rf %{buildroot}
%files
%defattr(-,root,root)
%doc Changes LICENSE README SIGNATURE
%{perl_vendorlib}/Apache
%exclude %{_mandir}/man3/*


%changelog
* Sun Sep 12 2009 pcserver <pcserver at hushmail.com>
-update

